---
title: "v0.13.0 Released"
date: 2022-05-08T11:30:22-07:00
draft: false
---
A new **major** update to the _Sketchy Maze_ beta has been released! This update
continues to improve on performance and stability with a new file format for
Levels (& Doodads) which greatly reduces memory use when playing large and colorful
levels such as _Azulian Tag - Forest_ -- down from 1.5 GB of memory to closer
to 200 MB, making these larger levels playable on lower power devices.

Your existing levels & doodads created with earlier versions of the game still work!
The update is backwards compatible and your files will be transparently upgraded to
the new format on its next save.

![Screenshot of the start to the Jungle level (v0.13.0)](/images/v0.13.0-jungle.png)

This release also comes with a lot of new content:

* **Swimming mechanics:**
    * The water pixels on your levels actually do something useful now!
    * When the player character is wet, swimming physics apply: gravity and jump
      speed are slower, and the jump button can be spammed infinitely in order to
      "swim" upwards a small amount. Hold the jump button to ascend slowly, spam
      it to ascend more quickly.
    * The Azulians can swim, too! By default they'll sink and walk along the bottom
      but if they are tracking the player character they will swim up to catch you.
* **4 new levels:**
    * The Jungle (First Quest) - a direct sequel to the Boat level, it's a jungle
      and Mayan themed platformer featuring many of the new doodads from this
      release such as Snakes, Gemstones and Crushers.
    * Gems & Totems (Tutorial, Lesson 4) - a tutorial map showing how the new
      Gemstones & Totems work in a safe environment.
    * Swimming (Tutorial, Lesson 5) - a tutorial to explore the new swimming
      mechanics that come in this release!
    * Night Sky (Azulian Tag) - a third installment in the Azulian Tag survival
      mode levelpack!
* **11 new doodads:**
    * Blue Bird: a new variant like the Red Bird, this one flies in a sine wave
      pattern about its target altitude and will dive at you from a greater height.
    * Snake: a green snake that sits coiled up and always faces the player. If you
      try and jump over it, it will jump up to try and catch you. It is harmless
      to other Snakes but will still jump with you.
    * Crusher: a block-headed enemy with an iron helmet which tries to drop on you
      from above. Its helmet makes for a safe platform to ride back up like
      an elevator.
    * Gems & Totems: four collectible gems (in different colors and shapes) that
      slot into Totems of a matching shape. Totems may link together and require
      you to collect _multiple_ gemstones before they'll emit a power signal to
      other linked doodads (such as to open an Electric Door).
* **5 new wallpapers:**
    * A dark version of Dotted Paper and 4x new Parchment Paper wallpapers are now
      available (the latter come in white, red, blue, and green varieties). As
      always, you may select a [custom wallpaper](/guidebook/custom-levels/custom-wallpaper.html)
      for your levels if you like!
* **New brush pattern:** Bubbles! The "water" color of each of the game's default
  palettes will use the Bubbles pattern.

![New doodads including the Crusher, Snake, and gemstones](/images/v0.13.0-doodads.png)

There are a handful of other changes and smaller features which you can see on
the [change log](https://www.sketchymaze.com/guidebook/changes.html#v0130-may-7-2022).
Head over to the [downloads](/download) page and try out the latest release today!